# MainStore
**Inherits:** [Node](https://docs.godotengine.org/de/4.x/classes/class_node.html)
    
## Description

Collection of all the stores to save the state persistently

## Properties

| Name                       | Type                                              | Default |
| -------------------------- | ------------------------------------------------- | ------- |
| [devices](#prop-devices)   | [Devices](/reference/lib--stores--devices.html)   |         |
| [house](#prop-house)       | [House](/reference/lib--stores--house.html)       |         |
| [settings](#prop-settings) | [Settings](/reference/lib--stores--settings.html) |         |







## Constants

### SettingsStore = `<Object>` {#const-SettingsStore}

No description provided yet.

### HouseStore = `<Object>` {#const-HouseStore}

No description provided yet.

### DevicesStore = `<Object>` {#const-DevicesStore}

No description provided yet.

## Property Descriptions

### devices: [Devices](/reference/lib--stores--devices.html) {#prop-devices}

No description provided yet.

### house: [House](/reference/lib--stores--house.html) {#prop-house}

No description provided yet.

### settings: [Settings](/reference/lib--stores--settings.html) {#prop-settings}

No description provided yet.
